org.eclipse.graphiti.features.context.impl

## Class MoveConnectionDecoratorContext

- java.lang.Object
- - org.eclipse.graphiti.PropertyBag
  - - org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
    - - org.eclipse.graphiti.features.context.impl.LocationContext
      - - org.eclipse.graphiti.features.context.impl.MoveConnectionDecoratorContext

All Implemented Interfaces:
  IContext, ILocationContext, IMoveConnectionDecoratorContext, IPropertyBag

    public class MoveConnectionDecoratorContext
    extends LocationContext
    implements IMoveConnectionDecoratorContext

The Class MoveConnectionDecoratorContext.

### Constructor Summary

Constructors
Constructor and Description
`MoveConnectionDecoratorContext(ConnectionDecorator connectionDecorator, int x, int y, boolean executeAllowed)` Creates a new `MoveConnectionDecoratorContext`.

### Method Summary

All Methods Instance Methods Concrete Methods
`ConnectionDecorator` `getConnectionDecorator()` Gets the connection decorator.
`boolean` `isExecuteAllowed()` Checks if execute is allowed.
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.graphiti.features.context.impl.LocationContext

`getX, getY, setLocation, setX, setY`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.context.ILocationContext

`getX, getY`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Constructor Detail

#### MoveConnectionDecoratorContext

    public MoveConnectionDecoratorContext(ConnectionDecorator connectionDecorator,
                                          int x,
                                          int y,
                                          boolean executeAllowed)

Creates a new `MoveConnectionDecoratorContext`.

Parameters:
  `connectionDecorator` - the connection decorator
  `x` - the x
  `y` - the y
  `executeAllowed` - the execute allowed

### Method Detail

#### getConnectionDecorator

    public ConnectionDecorator getConnectionDecorator()

Description copied from interface: `IMoveConnectionDecoratorContext`
Gets the connection decorator.

Specified by:
  `getConnectionDecorator` in interface `IMoveConnectionDecoratorContext`
Returns:
  the connection decorator

#### isExecuteAllowed

    public boolean isExecuteAllowed()

Description copied from interface: `IMoveConnectionDecoratorContext`
Checks if execute is allowed.

Specified by:
  `isExecuteAllowed` in interface `IMoveConnectionDecoratorContext`
Returns:
  true, if execute is allowed

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `LocationContext`